Package org.eclipse.cdt.core.settings.model.extension.impl

## Class CDefaultFileData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CResourceData
    - - org.eclipse.cdt.core.settings.model.extension.CFileData
      - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultFileData

All Implemented Interfaces:
  `ICSettingBase`

    public class CDefaultFileData
    extends CFileData

### Field Summary

Fields
`protected CConfigurationData` `fCfg`
`protected String` `fId`
`protected boolean` `fIsModified`
`protected CLanguageData` `fLanguageData`
`protected String` `fName`
`protected org.eclipse.core.runtime.IPath` `fPath`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`CDefaultFileData​(String id, org.eclipse.core.runtime.IPath path, CConfigurationData cfg, CDataFactory factory)`
`CDefaultFileData​(String id, org.eclipse.core.runtime.IPath path, CFileData base, CConfigurationData cfg, CDataFactory factory, boolean clone)`
`CDefaultFileData​(String id, org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData baseLangData, CConfigurationData cfg, CDataFactory factory)`
`CDefaultFileData​(CConfigurationData cfg, CDataFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `copyDataFrom​(CFileData base, boolean clone)`
`protected void` `copyDataFrom​(CFolderData base, CLanguageData baseLanguageData)`
`protected CLanguageData` `copyLanguageData​(CLanguageData data, boolean clone)`
`String` `getId()`
`CLanguageData` `getLanguageData()`
`String` `getName()`
`org.eclipse.core.runtime.IPath` `getPath()`
`boolean` `hasCustomSettings()`
`boolean` `isModified()`
`boolean` `isValid()`
`void` `setModified​(boolean modified)`
`void` `setName​(String name)`
`void` `setPath​(org.eclipse.core.runtime.IPath path)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CFileData

`getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CResourceData

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fPath

    protected org.eclipse.core.runtime.IPath fPath

#### fName

    protected String fName

#### fId

    protected String fId

#### fLanguageData

    protected CLanguageData fLanguageData

#### fCfg

    protected CConfigurationData fCfg

#### fIsModified

    protected boolean fIsModified

### Constructor Detail

#### CDefaultFileData

    public CDefaultFileData​(CConfigurationData cfg,
                            CDataFactory factory)

#### CDefaultFileData

    public CDefaultFileData​(String id,
                            org.eclipse.core.runtime.IPath path,
                            CConfigurationData cfg,
                            CDataFactory factory)

#### CDefaultFileData

    public CDefaultFileData​(String id,
                            org.eclipse.core.runtime.IPath path,
                            CFileData base,
                            CConfigurationData cfg,
                            CDataFactory factory,
                            boolean clone)

#### CDefaultFileData

    public CDefaultFileData​(String id,
                            org.eclipse.core.runtime.IPath path,
                            CFolderData base,
                            CLanguageData baseLangData,
                            CConfigurationData cfg,
                            CDataFactory factory)

### Method Detail

#### copyDataFrom

    protected void copyDataFrom​(CFileData base,
                                boolean clone)

#### copyDataFrom

    protected void copyDataFrom​(CFolderData base,
                                CLanguageData baseLanguageData)

#### copyLanguageData

    protected CLanguageData copyLanguageData​(CLanguageData data,
                                             boolean clone)

#### getPath

    public org.eclipse.core.runtime.IPath getPath()

Specified by:
  `getPath` in class `CResourceData`

#### setPath

    public void setPath​(org.eclipse.core.runtime.IPath path)

Specified by:
  `setPath` in class `CResourceData`

#### getName

    public String getName()

Specified by:
  `getName` in class `CDataObject`

#### setName

    public void setName​(String name)

#### getId

    public String getId()

Specified by:
  `getId` in class `CDataObject`

#### isValid

    public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

#### getLanguageData

    public CLanguageData getLanguageData()

Specified by:
  `getLanguageData` in class `CFileData`

#### isModified

    public boolean isModified()

#### setModified

    public void setModified​(boolean modified)

#### hasCustomSettings

    public boolean hasCustomSettings()

Specified by:
  `hasCustomSettings` in class `CResourceData`